Summary:       X.Org X11 XFree86-VidMode extension library
Name:          libXxf86vm
Version:       1.1.5
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(xext) pkgconfig(xf86vidmodeproto)
BuildRequires: libX11-devel >= 1.5.99.902
Requires:      libX11 >= 1.5.99.902

%description
libXxf86vm provides an X Window System client interface to
the server extension XFree86-VidModeExtension which allows
the video modes to be queried and adjusted dynamically and
mode switching to be controlled.

%package devel
Summary:       X.Org X11 XFree86-VidMode extension development package
Requires:      %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use libXxf86vm library.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot}/ -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%doc README.md
%{_libdir}/libXxf86vm.so.1
%{_libdir}/libXxf86vm.so.1.0.0

%files devel
%{_libdir}/libXxf86vm.so
%{_libdir}/pkgconfig/xxf86vm.pc
%{_mandir}/man3/*.3*
%{_includedir}/X11/extensions/xf86vmode.h

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 1.1.5-1
- Upgrade to version 1.1.5

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 ZoeDong <zoedong@tencent.com> - 1.1.4-1
- Initial build

